/* -----------     I2C_CTRL_7SEG.AVC    ------------------

     Demoprogramm fuer das LCD 7-Segmentdisplay ueber
     I2C angesprochen !

     MCU:              ATmega8   / ATmega48  / ATmega88 /
                       ATmega168 / ATmega328

     hier:             ATmega168
     Quarz:            16MHz
     
     Fuses             Lfuse 0xEF
                       Hfuse 0xDD
                       EFuse 0x01

     Compiler:         AVR-GCC  4.7.2
     IDE:              Context
     
     uebersetzen mit:  GCCCOMPILE.BAT
     

     20.06.2013        R. Seelig

   ------------------------------------------------------- */


#define i2c_adr_rd 0x41
#define i2c_adr_wr 0x40

#define F_CPU 16000000

#include <avr/io.h>
#include <util/delay.h>

#include "i2c_master_mega.inc"


void i2c_send(uint8_t adr, uint8_t data)
{
  i2c_start(adr);
  i2c_write(adr);
  i2c_write(0x00);
  i2c_write(data);                                    // Ziffernwert der angezeigt werden soll
  i2c_write(0x00);                                    // Kommapunkt
  i2c_write(0x01);                                    // Uebernahme des neuen Inhalts
  i2c_stop();
}

void delay(char wert)
{
   char i;
   for (i=0;i< wert;i++)
   {
     _delay_ms(100);
   }
}

// -------------------------------------------------------------------


int main()
{

  int i=0;

  i2c_master_init();


  while(1)
  {
    for (i= 0; i< 100; i++)
    {
      i2c_send(i2c_adr_wr,i);
      delay(3);
    }
  }
}

